Contents

# Eqv Operator

Calculates the logical equivalence of two expressions.

## Syntax:

    Result = Expression1 Eqv Expression2

## Parameters:

Result: A numeric variable that will contain the result of the comparison.

Expression1, Expression2: Expressions that you want to compare.

When testing for equivalence between Boolean expressions, the result is True if both expressions are either True or False.

In a bit-wise comparison, the Eqv operator only sets the corresponding bit in the result if a bit is set in both expressions, or in neither expression.

## Example:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C ' returns -1
        vOut = B > A Eqv B > C ' returns 0
        vOut = A > B Eqv B > D ' returns 0
        vOut = (B > D Eqv B > A) ' returns -1
        vOut = B Eqv A ' returns -3
    End Sub